summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDenis Demidov2016-12-20 09:34:26 +0300
committerDenis Demidov2016-12-20 09:34:26 +0300
commit5a47ed524a27466991d7bcc739e1d59b5a8a6f1a (patch)
treeb9c447ac9679fa1d4184350c49a62a6083439101
parentaaa63f3774090a91b294b64d92eae7475da2997b (diff)
parent3307d4c338883c1e29b4c5a92f20059ac71c26ac (diff)
downloadaur-catalyst-firepro-compute.tar.gz
Merge remote-tracking branch 'upstream/master'
-rw-r--r--.SRCINFO18
-rw-r--r--4.9_over_4.6-arch-get_user_pages_remote.patch24
-rw-r--r--PKGBUILD32
3 files changed, 54 insertions, 20 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3bcbb7b4a45..14cbef9dd40 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Tue Oct 25 10:19:12 UTC 2016
+# Tue Dec 20 06:34:09 UTC 2016
pkgbase = catalyst-firepro-compute
pkgdesc = A copy of catalyst-firepro with libgl support removed.
pkgver = 15.302.2301
- pkgrel = 2
+ pkgrel = 3
url = http://www.amd.com
install = catalyst-firepro-compute.install
arch = i686
@@ -11,7 +11,7 @@ pkgbase = catalyst-firepro-compute
license = custom
depends = dkms
depends = linux>=3.0
- depends = linux<4.9
+ depends = linux<4.10
depends = linux-headers
depends = libxrandr
depends = libsm
@@ -29,19 +29,21 @@ pkgbase = catalyst-firepro-compute
optdepends = opencl-headers: headers necessary for OpenCL development
optdepends = acpid: acpi event support / atieventsd
optdepends = procps-ng: brings pgrep used in acpi event support
+ optdepends = opencl-icd-loader: OpenCL ICD Bindings
provides = libatical=15.302.2301
provides = catalyst=15.302.2301
provides = catalyst-utils=15.302.2301
- provides = catalyst-hook=15.302.2301
- provides = libcl
+ provides = catalyst-dkms=15.302.2301
+ provides = opencl-catalyst=15.302.2301
provides = dri
provides = libtxc_dxtn
+ provides = opencl-driver
conflicts = catalyst
conflicts = catalyst-daemon
conflicts = catalyst-generator
- conflicts = catalyst-hook
+ conflicts = catalyst-dkms
conflicts = catalyst-utils
- conflicts = libcl
+ conflicts = libcl,
conflicts = catalyst-dkms
options = staticlibs
options = libtool
@@ -73,6 +75,7 @@ pkgbase = catalyst-firepro-compute
source = dkms.conf
source = makesh-dont-check-gcc-version.patch
source = 4.7-arch-cpu_has_pge-v2.patch
+ source = 4.9_over_4.6-arch-get_user_pages_remote.patch
md5sums = 211a7e52d032bc60806012a13407ba87
md5sums = af7fb8ee4fc96fd54c5b483e33dc71c4
md5sums = bdafe749e046bfddee2d1c5e90eabd83
@@ -99,6 +102,7 @@ pkgbase = catalyst-firepro-compute
md5sums = 23d569abfdd7de433d76e003e4b3ccf9
md5sums = 10829e3b992b3e80a6e78c8e27748703
md5sums = 37eef5103a11d8136979463e7bc31091
+ md5sums = 194cb44e9e2ab0e65b6267aca66d0400
pkgname = catalyst-firepro-compute
diff --git a/4.9_over_4.6-arch-get_user_pages_remote.patch b/4.9_over_4.6-arch-get_user_pages_remote.patch
new file mode 100644
index 00000000000..802ca96b678
--- /dev/null
+++ b/4.9_over_4.6-arch-get_user_pages_remote.patch
@@ -0,0 +1,24 @@
+--- 16.12/common/lib/modules/fglrx/build_mod/firegl_public.c 2016-12-10 19:44:46.764677311 +0100
++++ 16.12b/common/lib/modules/fglrx/build_mod/firegl_public.c 2016-12-10 19:45:43.941354338 +0100
+@@ -3225,7 +3225,9 @@
+ int ret;
+
+ down_read(&current->mm->mmap_sem);
+-#if LINUX_VERSION_CODE >= KERNEL_VERSION(4,6,0)
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(4,9,0)
++ ret = get_user_pages_remote(current, current->mm, vaddr, page_cnt, 1, (struct page **)page_list, NULL);
++#elif LINUX_VERSION_CODE >= KERNEL_VERSION(4,6,0)
+ ret = get_user_pages_remote(current, current->mm, vaddr, page_cnt, 1, 0, (struct page **)page_list, NULL);
+ #else
+ ret = get_user_pages(current, current->mm, vaddr, page_cnt, 1, 0, (struct page **)page_list, NULL);
+@@ -3247,7 +3249,9 @@
+ int ret;
+
+ down_read(&current->mm->mmap_sem);
+-#if LINUX_VERSION_CODE >= KERNEL_VERSION(4,6,0)
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(4,9,0)
++ ret = get_user_pages_remote(current, current->mm, vaddr, page_cnt, 0, (struct page **)page_list, NULL);
++#elif LINUX_VERSION_CODE >= KERNEL_VERSION(4,6,0)
+ ret = get_user_pages_remote(current, current->mm, vaddr, page_cnt, 0, 0, (struct page **)page_list, NULL);
+ #else
+ ret = get_user_pages(current, current->mm, vaddr, page_cnt, 0, 0, (struct page **)page_list, NULL);
diff --git a/PKGBUILD b/PKGBUILD
index d0288757460..09c0926ea90 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -20,27 +20,29 @@
# Contributor: solar (authatieventsd' patch s/-1/255)
# Contributor: kolasa (part of 4.3 kernel patches)
# Contributor: gentoo (part of 4.3 kernel patches)
-# Contributor: Philip Muller @ Manjaro (4.4 kernel patch)
-# Contributor: aslmaswd (acpi main script)
+# Contributor: Philip Muller @ Manjaro (4.4 kernel patch)
+# Contributor: aslmaswd (acpi main script)
+# Contributor: npfeiler (libcl/opencl-icd-loader cleaning)
# PKGEXT='.pkg.tar.gz' # imho time to pack this pkg into tar.xz is too long, unfortunatelly yaourt got problems when ext is different from .pkg.tar.xz - V
pkgname=catalyst-firepro-compute
pkgver=15.302.2301
-pkgrel=2
+pkgrel=3
pkgdesc="A copy of catalyst-firepro with libgl support removed."
arch=('i686' 'x86_64')
url="http://www.amd.com"
license=('custom')
options=('staticlibs' 'libtool' '!strip' '!upx')
-depends=('dkms' 'linux>=3.0' 'linux<4.9' 'linux-headers' 'libxrandr' 'libsm' 'fontconfig' 'libxcursor' 'libxi' 'gcc-libs' 'gcc>4.0.0' 'make' 'patch' 'libxinerama' 'mesa>=10.1.0-4')
+depends=('dkms' 'linux>=3.0' 'linux<4.10' 'linux-headers' 'libxrandr' 'libsm' 'fontconfig' 'libxcursor' 'libxi' 'gcc-libs' 'gcc>4.0.0' 'make' 'patch' 'libxinerama' 'mesa>=10.1.0-4')
optdepends=('qt4: to run ATi Catalyst Control Center (amdcccle)'
'libxxf86vm: to run ATi Catalyst Control Center (amdcccle)'
'opencl-headers: headers necessary for OpenCL development'
'acpid: acpi event support / atieventsd'
- 'procps-ng: brings pgrep used in acpi event support')
-conflicts=('catalyst' 'catalyst-daemon' 'catalyst-generator' 'catalyst-hook' 'catalyst-utils' 'libcl' 'catalyst-dkms')
-provides=("libatical=${pkgver}" "catalyst=${pkgver}" "catalyst-utils=${pkgver}" "catalyst-hook=${pkgver}" 'libcl' 'dri' 'libtxc_dxtn')
+ 'procps-ng: brings pgrep used in acpi event support'
+ 'opencl-icd-loader: OpenCL ICD Bindings')
+conflicts=('catalyst' 'catalyst-daemon' 'catalyst-generator' 'catalyst-dkms' 'catalyst-utils' 'libcl', 'catalyst-dkms')
+provides=("libatical=${pkgver}" "catalyst=${pkgver}" "catalyst-utils=${pkgver}" "catalyst-dkms=${pkgver}" "opencl-catalyst=${pkgver}" 'dri' 'libtxc_dxtn' 'opencl-driver')
if [ "${CARCH}" = "x86_64" ]; then
warning "x86_64 system detected"
@@ -48,8 +50,9 @@ if [ "${CARCH}" = "x86_64" ]; then
if [[ `cat /etc/pacman.conf | grep -c "#\[multilib]"` = 0 ]]; then
warning "OK, lib32-catalyst-utils will be added to the package"
depends+=('lib32-libxext' 'lib32-libdrm' 'lib32-libxinerama' 'lib32-mesa>=10.1.0-4')
- conflicts+=('lib32-catalyst-utils' 'lib32-libcl')
- provides+=("lib32-catalyst-utils=${pkgver}" 'lib32-dri' 'lib32-libtxc_dxtn' 'lib32-libcl')
+ conflicts+=('lib32-catalyst-utils')
+ provides+=("lib32-catalyst-utils=${pkgver}" "lib32-opencl-catalyst=${pkgver}" 'lib32-dri' 'lib32-libtxc_dxtn' 'lib32-opencl-driver')
+ optdepends+=('lib32-opencl-icd-loader: OpenCL ICD Bindings (32-bit)')
else
warning "lib32-catalyst-utils will NOT be added to the package"
fi
@@ -91,7 +94,8 @@ source=(
4.6-arch-get_user_pages-page_cache_release.patch
dkms.conf
makesh-dont-check-gcc-version.patch
- 4.7-arch-cpu_has_pge-v2.patch)
+ 4.7-arch-cpu_has_pge-v2.patch
+ 4.9_over_4.6-arch-get_user_pages_remote.patch)
md5sums=('211a7e52d032bc60806012a13407ba87'
'af7fb8ee4fc96fd54c5b483e33dc71c4'
@@ -118,7 +122,8 @@ md5sums=('211a7e52d032bc60806012a13407ba87'
'11b7c2e0dc4794801005d66b0e7608a3'
'23d569abfdd7de433d76e003e4b3ccf9'
'10829e3b992b3e80a6e78c8e27748703'
- '37eef5103a11d8136979463e7bc31091')
+ '37eef5103a11d8136979463e7bc31091'
+ '194cb44e9e2ab0e65b6267aca66d0400')
build() {
@@ -197,6 +202,7 @@ package() {
install -m644 X11R6/${_lib}/*.cap ${pkgdir}/usr/lib
install -m755 X11R6/${_lib}/modules/dri/*.so ${pkgdir}/usr/lib/xorg/modules/dri
install -m755 ${_lib}/*.so* ${pkgdir}/usr/lib
+ rm ${pkgdir}/usr/lib/libOpenCL.so.1 #opencl-icd-loader provides this
# install -m755 ${_lib}/hsa/* ${pkgdir}/usr/lib/hsa #removed in 14.1
## QT libs (only 2 files) - un-comment 2 lines below if you don't want to install qt package
@@ -208,7 +214,6 @@ package() {
ln -snf libfglrx_dm.so.1.0 ${pkgdir}/usr/lib/libfglrx_dm.so
ln -snf libatiuki.so.1.0 ${pkgdir}/usr/lib/libatiuki.so.1
ln -snf libatiuki.so.1.0 ${pkgdir}/usr/lib/libatiuki.so
- ln -snf libOpenCL.so.1 ${pkgdir}/usr/lib/libOpenCL.so
cd ${srcdir}/archive_files/common
patch -Np2 -i ${srcdir}/arch-fglrx-authatieventsd_new.patch
@@ -284,6 +289,7 @@ package() {
patch -Np1 -i ../4.6-arch-get_user_pages-page_cache_release.patch
patch -Np1 -i ../makesh-dont-check-gcc-version.patch
patch -Np1 -i ../4.7-arch-cpu_has_pge-v2.patch
+ patch -Np1 -i ../4.9_over_4.6-arch-get_user_pages_remote.patch
# Prepare modules source files
install -dm755 ${pkgdir}/usr/src/fglrx-${pkgver}/2.6.x
@@ -316,6 +322,7 @@ package() {
install -dm755 ${pkgdir}/usr/lib32/xorg/modules/dri
# install -dm755 ${pkgdir}/usr/lib32/hsa #removed in 14.1
install -m755 lib/*.so* ${pkgdir}/usr/lib32
+ rm ${pkgdir}/usr/lib32/libOpenCL.so.1 #lib32-opencl-icd-loader provides this
# install -m755 lib/hsa/* ${pkgdir}/usr/lib32/hsa #removed in 14.1
install -m755 X11R6/lib/fglrx/fglrx-libGL.so.1.2 ${pkgdir}/usr/lib32/fglrx
install -m755 X11R6/lib/libAMDXvBA.so.1.0 ${pkgdir}/usr/lib32
@@ -334,7 +341,6 @@ package() {
ln -sf /usr/lib32/libXvBAW.so.1.0 ${pkgdir}/usr/lib32/libXvBAW.so
ln -sf /usr/lib32/libatiuki.so.1.0 ${pkgdir}/usr/lib32/libatiuki.so.1
ln -sf /usr/lib32/libatiuki.so.1.0 ${pkgdir}/usr/lib32/libatiuki.so
- ln -sf /usr/lib32/libOpenCL.so.1 ${pkgdir}/usr/lib32/libOpenCL.so
# OpenCL
install -m755 -d ${pkgdir}/etc/OpenCL/vendors